﻿using Prism.Mvvm;

namespace Borepin.ViewModel
{
    public class MachineListItemViewModel : BindableBase
    {
        public MachineListItemViewModel(Model.Machine instance)
        {
            _Instance = instance;

            Name = instance.MInfo.Name;
            State = instance.MInfo.State;
        }

        private Model.Machine _Instance;
        public Model.Machine Instance
        {
            get => _Instance;
            set => SetProperty(ref _Instance, value);
        }

        private string _Name;
        public string Name
        {
            get => _Name;
            set => SetProperty(ref _Name, value);
        }

        private FabAccessAPI.Schema.State _State;
        public FabAccessAPI.Schema.State State
        {
            get => _State;
            set => SetProperty(ref _State, value);
        }
    }
}
